/*
 * DMXPkt.h
 *
 *  Created on: Dec 19, 2017
 *      Author: kentm
 */

#ifndef PKT_H_
#define PKT_H_
#include <stdint.h>

#define START 0xA00D
#define ETX 0x03
#define MAX_DATA_SIZE 512

typedef struct{
	uint8_t  	STXHi;
	uint8_t  	STXLo;
	uint8_t		LenHi;
	uint8_t		LenLo;
}__attribute__ ((__packed__)) Header_t;

#define DMXHEADSIZE sizeof(Header_t)

typedef enum{
	MsgType_CAN=0,
	MsgType_Last,
	MsgType_SizeSet = 0xff
} MsgType_t;

typedef struct{
	uint8_t  	CRCHi;
	uint8_t  	CRCLo;
	uint8_t		etx;
}__attribute__ ((__packed__)) Tail_t;

#define TAILSIZE sizeof(Tail_t)

#endif /* PKT_H_ */
