/*
 * System_Config.h
 *
 *  Created on: 26 Aug 2019
 *      Author: kentm
 */

#ifndef SYSTEM_CONFIG_H_
#define SYSTEM_CONFIG_H_
// ******************** includes **********************************************

// ******************** typedefs and defines **********************************
#define APP_ARBITER 	 	0
#define APP_ENDP			 	1
#define APP_BRIDGE			2

#define APP_CURR APP_ENDP//APP_BRIDGE//  // choose your application here
#if 	(APP_CURR == APP_ARBITER)
#define APP_VERSION_MAJOR                                           01
#define APP_VERSION_MINOR                                           00
#define APP_NODE_NAME                                               "com.rfd.arbiter"
#define GIT_HASH                                                    0xBADBEEF

#elif (APP_CURR == APP_ENDP)
#define APP_VERSION_MAJOR                                           01
#define APP_VERSION_MINOR                                           00
#define APP_NODE_NAME                                               "com.rfd.endpoint"
#define GIT_HASH                                                    0xDEADBEEF

#elif (APP_CURR == APP_BRIDGE)
#define APP_VERSION_MAJOR                                           01
#define APP_VERSION_MINOR                                           00
#define APP_NODE_NAME                                               "com.rfd.bridge"
#define GIT_HASH                                                    0xBAB1BEEF

#else
#error please define the application
#endif
// ******************** exported function prototypes **************************
// ******************** end of System_Config.h *********************************** 	
#endif /* SYSTEM_CONFIG_H_ */
