/*
 * Voters.h
 *
 *  Created on: 1 Aug 2019
 *      Author: kentm
 */

#ifndef VOTERS_H_
#define VOTERS_H_
// ******************** includes **********************************************
#include <stdbool.h>
#include <stdint.h>
// ******************** typedefs and defines **********************************
#define VoterCANPorts 3
// ******************** exported function prototypes **************************
// returns true if active port has been updated
// updates list to remove stale entries
// call every 100mS , and pass TickmS = current Ticks in milliseconds
bool UpdateVoterList50mS(int8_t* ActiveFCPort, int32_t TickmS);
// returns the active port (-1 None, 0,1,2) , (-1 when no solution available)
// Port = SrcBus (ThisBus) if only one Port is present
// call with data from each new useFlightController message
// pass TickmS = current Ticks in milliseconds
int8_t UpdateVoter(int8_t Port, uint8_t SrcBus, int8_t SelectedFC, int64_t UniqID,uint32_t TickMs);
// ******************** end of Voters.h ***************************************
#endif /* VOTERS_H_ */
