/*
 * dynNodeIDAlloc.h
 *
 *  Created on: 8 Aug 2019
 *      Author: kentm
 */

#ifndef DYNNODEIDALLOC_H_
#define DYNNODEIDALLOC_H_
// ******************** includes **********************************************
#include <stdint.h>
#include "canard.h"
#include "canard_stm32.h"
// ******************** typedefs and defines **********************************
typedef void (*TXRXFN_t)(PortCAN_t Port);
// ******************** exported function prototypes **************************
void onGetNodeInfoRx(CanardInstance* ins,CanardRxTransfer* transfer,PortCAN_t Port);
void onDynNodeRx(CanardInstance* ins,CanardRxTransfer* transfer,PortCAN_t Port);
bool DynAllocNodeID(CanardInstance *ins,uint8_t *PreferredNodeID,PortCAN_t Port,TXRXFN_t TXfn,TXRXFN_t RXfn);
void SetNodeMode(PortCAN_t Port, uint8_t Mode);
// ******************** end of dynNodeIDAlloc.h *******************************
#endif /* DYNNODEIDALLOC_H_ */
