/*
 * serial.h
 *
 *  Created on: 15 Aug 2019
 *      Author: kentm
 */

#ifndef SERIAL_H_
#define SERIAL_H_
// ******************** includes **********************************************
#include <stdint.h>
#include <stdbool.h>
// ******************** typedefs and defines **********************************

// ******************** exported function prototypes **************************
bool InitSerial(void);
uint16_t SerialTxQ(uint8_t *Data, uint16_t len);// send data
uint16_t SerialTxQFree(void);										// returns tx q free space
bool SerialRxQ(uint8_t *byte);								// returns true if data present
bool SerialRxQBuff(uint8_t *Data, uint16_t *len);	//	true if data read, pass space in len and returns amount in len
uint16_t SerialRxQSize(void);								// returns amount of data in RX queue
uint16_t SerialTxQWait(uint8_t *Data, uint16_t len);// send data and wait for it to go out
bool SerialTxQMT(void);											// returns if txq is empty

// ******************** end of serial.h *********************************** 	
#endif /* SERIAL_H_ */
